<?php
/* 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
load theme options controlpanel
*/ 
require_once(TEMPLATEPATH . '/controlpanel.php');


/* 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
execute theme options
*/
function fp_options($fp_option) {

	$tab = (chr(9));

	global $options;
	foreach ($options as $value) {
		if($value['type']!="checkbox" and $value['type']!="multiselect"){
			if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else {
			$$value['id'] = get_settings( $value['id'] ); }
		} else{
			if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = explode(",",$value['std']); } else {
			$$value['id'] = explode(",",get_settings( $value['id'] )); }
		}
	}

	if($fp_option == "logo"){

		if(strlen($fp_logo) > 0) { // logo assigned in options
		
			list($width, $height, $type, $attr) = getimagesize($fp_logo); // get image attributes

			if($type == 1 || $type == 2 || $type == 3) { // image ok
				echo "<a href='". get_settings('home')."'><img src='".$fp_logo."' alt='".get_bloginfo('name')."' border='0' ".$attr." id='logo' /></a>";
			} else { // image not gif, jpg or png
				echo "<h1><a href='".get_settings('home')."'>".get_bloginfo('name')."</a></h1>";
				if(strlen(get_bloginfo('description')) > 0) {
					echo "<div class='descOut'><div class='descIn'><h4>".get_bloginfo('description')."</h4></div></div>";
				}
			}
		} else { // no logo assigned in options, print blog title and tagline
			echo "<h1><a href='".get_settings('home')."'>".get_bloginfo('name')."</a></h1>";
			if(strlen(get_bloginfo('description')) > 0) {
					echo "<div class='descOut'><div class='descIn'><h4>".get_bloginfo('description')."</h4></div></div>";
				}
		}

	} elseif($fp_option == "general") {

		if(strlen($fp_color) > 0) { //color scheme
			echo $tab."<link rel='stylesheet' href='".get_bloginfo('template_directory')."/css/".strtolower($fp_color).".css' type='text/css' media='all' />\n";
		} else {
			echo $tab."<link rel='stylesheet' href='".get_bloginfo('template_directory')."/css/grey.css' type='text/css' media='all' />\n";
		}

		if($fp_font == 'Georgia') { // font
			echo $tab."<style type='text/css'>\n".$tab.$tab."body { font:11pt/150% Georgia, Times, serif; }\n".$tab."</style>\n";
		} elseif($fp_font == 'Verdana') {
			echo $tab."<style type='text/css'>\n".$tab.$tab."body { font:10pt/150% Verdana, Tahoma, sans-serif; }\n".$tab."</style>\n";
		} elseif($fp_font == 'Tahoma') {
			echo $tab."<style type='text/css'>\n".$tab.$tab."body { font:10pt/150% Tahoma, Verdana, sans-serif; }\n".$tab."</style>\n";
		} elseif($fp_font == 'Helvetica') {
			echo $tab."<style type='text/css'>\n".$tab.$tab."body { font:10pt/150% Arial, Helvetica, sans-serif; }\n".$tab."</style>\n";
		}

		if(strlen($fp_bgimg) > 0) { // background image
			echo $tab."<style type='text/css'>\n".$tab.$tab."body { background-image:url('".$fp_bgimg."'); background-position:center top; background-repeat:no-repeat; }\n".$tab."</style>\n";
		}
		if($fp_post_author == "No") { // display post author
			echo $tab."<style type='text/css'>\n".$tab.$tab.".post-author { display:none; }\n".$tab."</style>";
		}

	} elseif($fp_option == "twitter-widget") {
		if(strlen($fp_twitter) > 0) {
			echo "<li class='widget widget-twitter'>\n";
			echo $tab."<h2 class='widgettitle'>Twitter</h2>\n";
			echo birdnapping($fp_twitter,3)."\n";
			echo $tab."<div class='followme'>Follow me @<a href='http://twitter.com/".$fp_twitter."' target='_blank' rel='nofollow'>".$fp_twitter."</a></div>\n";
			echo "</li>";
		}
	}

}



/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
register sidebars
*/
if ( function_exists('register_sidebars') )
    /*register_sidebars();*/
	register_sidebar();

/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
loads legacy.comments.php as comment file when using a old version of Wordpress
*/
add_filter( 'comments_template', 'legacy_comments' );
function legacy_comments( $file ) {
	if ( !function_exists('wp_list_comments') )
		$file = TEMPLATEPATH . '/legacy.comments.php';
	return $file;
}

/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
custom comment design for printing trackbacks
*/
function septrackbacks($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
		<?php printf(__('%1$s'), get_comment_date()) ?>: 
		<?php printf(__('%s'), get_comment_author_link()) ?>
<?php
}

/* 
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Plugin Name: Recent Comments
Plugin URI: http://mtdewvirus.com/code/wordpress-plugins/

Modified by Frostpress using WP's get_comments
*/ 

function dp_recent_comments() { 

	$comment_len = 43;
		
	$comments = get_comments('number=5');

	if ($comments) { 
		foreach ($comments as $comment) { 
			//ob_start();
			?>
				<li>
					<?php echo get_avatar($comment,$size='32' ); ?>
					<a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>"><?php echo $comment->comment_author; ?>:</a>
					<?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, $comment_len)); ?>...
				</li>
			<?php
			//ob_end_flush();
		} 
	} else { 
		echo "<li>No comments</li>";
	}
}



/*
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Birdnapper  -  Author:  Jason Rundell, http://www.jasonrundell.com / http://www.codeblink.com - released under GPL License
*/
function birdnapping($strUsername,$intShowTweets) {
	$html_url="http://twitter.com/$strUsername";
	$handle = @fopen($html_url, "r");
	if ($handle) {
			while (!feof($handle)) {
					$buffer = fgets($handle, 4096);
					$content=$content.$buffer;
			}
			fclose($handle);
	}
	$content=trim($content);
	
	$start=strpos($content,"<div class=\"section\">");
	$end=strpos($content,"<div id=\"pagination\">");
	$tweets=substr($content,$start,$end-$start);
	
	$arrayTweets=explode("<li",$tweets);
	
	$tweets="";
	
	$i=1;
	while ($i<=$intShowTweets) {
		$start=strpos($arrayTweets[$i],">")+1;
		$strippedTweet=substr($arrayTweets[$i],$start,strlen($arrayTweets[$i])-$start);
		$tweets.="<li>".$strippedTweet;
		$i++;
	}
	
	// fix links to Twitter profiles. Twitter gives inline links
	$tweets=str_replace("href=\"/","href=\"http://twitter.com/",$tweets);
	
	return "<ol>\n$tweets\n</ol>";
}
?>